package com.engine.jclpoc.web;

import cn.hutool.core.convert.Convert;
import com.engine.common.util.ParamUtil;
import weaver.conn.RecordSet;
import weaver.general.Util;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import java.util.HashMap;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2024/04/17
 * @version: 1.0
 */
public class PocEntryController {
    @GET
    @Path("/getStaffInfo")
    @Produces(MediaType.APPLICATION_JSON)
    public Map<String, Object> getStaffInfo(@Context HttpServletRequest request, @Context HttpServletResponse response) {
        Map<String, Object> map = ParamUtil.request2Map(request);
        Map<String, Object> returnMap = new HashMap<>();
        returnMap.put("api_status",false);
        String bm = Util.null2String(map.get("bm"));
        RecordSet rs = new RecordSet();
        int staff_num = 0;
        int permanent_num = 0;
        int freeze_num = 0;
        rs.executeQuery("select staff_num,permanent_num,freeze_num from jcl_org_staff a inner join jcl_org_staffplan b on a.plan_id = b.id and b.forbidden_tag = 0 and b.delete_type = 0 where ec_department = ? and a.job_id is null and a.delete_type = 0", bm);
        if (rs.next()) {
            staff_num = Convert.toInt(rs.getString("staff_num"), 0);
            permanent_num = Convert.toInt(rs.getString("permanent_num"), 0);
            freeze_num = Convert.toInt(rs.getString("freeze_num"), 0);
            returnMap.put("staff_num", staff_num);
            returnMap.put("permanent_num", permanent_num);
            returnMap.put("freeze_num", freeze_num);
            returnMap.put("num", staff_num - permanent_num - freeze_num);
            returnMap.put("api_status",true);
        }

        return returnMap;
    }
}
